Look up an existing dashboard user account by resource ID
get
/scim/v2/Users/{id}
Use this endpoint to look up an existing dashboard user account by specifying the resource
idreturned by the SCIMPOSTmethod.

important
This endpoint requires the custom SCIM integration. If you set up an identity provider (IdP) integration (Okta or Entra ID), you can’t use this endpoint; only one SCIM bridge can be set up per company.
Prerequisites
To use this endpoint, you’ll need a SCIM token. You’ll use your service origin as the X-Request-Origin header. For more information, refer to Automated user provisioning.
Rate limit
This endpoint has a rate limit of 5000 requests per day, per company. This rate limit is shared with the /scim/v2/Users/ PUT, GET, DELETE, and POST endpoints as documented in API rate limits.
Path parameters
| Parameter | Required | Data Type | Description |
|---|---|---|---|
id |
Required | String | The user’s resource ID. This parameter is returned by the POST /scim/v2/Users/ or GET /scim/v2/Users?filter=userName eq "[email protected]" methods. |
Request body
1
2
3
Content-Type: application/json
X-Request-Origin: YOUR-REQUEST-ORIGIN-HERE
Authorization: Bearer YOUR-REST-API-KEY
Example request
1
2
3
4
curl --location --request GET 'https://rest.iad-01.braze.com/scim/v2/Users/dfa245b7-24195aec-887bb3ad-602b3340' \
--header 'Content-Type: application/json' \
--header 'X-Request-Origin: YOUR-REQUEST-ORIGIN-HERE' \
--header 'Authorization: Bearer YOUR-API-KEY-HERE' \
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"id": "dfa245b7-24195aec-887bb3ad-602b3340",
"userName": "[email protected]",
"name": {
"givenName": "Test",
"familyName": "User"
},
"department": "finance",
"lastSignInAt": "Thursday, January 1, 1970 12:00:00 AM",
"createdAt": "Thursday, January 1, 1970 12:00:00 AM",
"permissions": {
"companyPermissions": ["manage_company_settings"],
"roles": [
{
"roleName": "Another Test Role",
"roleId": "23125dad23dfaae7",
"appGroup": [
{
"appGroupId": "241adcd25adfabcded",
"appGroupName": "Production Workspace",
"appGroupPermissionSets": [
{
"appGroupPermissionSetName": "A Permission Set",
"appGroupPermissionSetId": "dfa385109bc38",
"permissions": ["basic_access","publish_cards"]
}
]
}
]
}
],
"appGroup": [
{
"appGroupId": "241adcd25789fabcded",
"appGroupName": "Test Workspace",
"appGroupPermissions": ["basic_access","send_campaigns_canvases"],
"team": [
{
"teamId": "241adcd25789fabcded",
"teamName": "Test Team",
"teamPermissions": ["admin"]
}
]
}
]
}
}
New Stuff!